%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define objprelink 1

Name: kbiff
Version: 3.6.2
Release: alt1

Group: Graphical desktop/KDE
Summary: Kbiff is a new mail notification utility
Url: http://kbiff.granroth.org
License: GPL

Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %__gcc_version_base

Source0: %name-%version.tar.bz2

# Automatically added by buildreq on Fri Jan 18 2002
BuildRequires: freetype2 gcc-c++ kde-common kdelibs-devel libarts-devel
BuildRequires: libjpeg-devel liblcms libmng libpng-devel libqt3-devel
BuildRequires: libstdc++-devel XFree86-devel XFree86-libs zlib-devel
%if %objprelink
BuildRequires: objprelink
%endif

%description
KBiff is a "biff", or new mail notification utility. It is highly configurable
but very easy to use and set up. It tries to combine the best of the features of
most of the "other" biff programs out there. KBiff supports all major mailbox
formats: mbox (Berkely style), maildir, mh, POP3, IMAP4 and NNTP.

%prep
%setup  -q

%build
# %%undefine __libtoolize
export QTDIR=%qtdir
%configure \
	--disable-rpath \
	--disable-static \
	--disable-debug \
	--program-transform-name="" \
	--enable-final

%if %objprelink
export CXX=g++prelink
%else
export CXX=g++
%endif
%make_build CXX=$CXX

%install
mkdir -p %buildroot/%_datadir/config/
make install DESTDIR=%buildroot

install -d %buildroot/%_menudir/
cat > %buildroot/%_menudir/%name <<EOF
    ?package(%name):\
    command="%name"\
    title="Kbiff"\
    genericname="Mail Indicator"\
    longtitle="A mail notification utility"\
    icon="%name.png"\
    needs="kde"\
    section="Networking/Mail"
EOF

%find_lang %name

%post
%update_menus
/sbin/ldconfig
%postun
%clean_menus
/sbin/ldconfig

%files -f %name.lang
%_bindir/*
%_libdir/*.so
%_libdir/*.la
#
%_datadir/apps/%name
%_datadir/icons/*/*/*/*
#
%doc %_man1dir/%{name}*
%doc %_docdir/HTML/en/%name
%lang(de) %doc %_docdir/HTML/de
%lang(es) %doc %_docdir/HTML/es
%lang(fr) %doc %_docdir/HTML/fr
#
%_datadir/applnk/Internet/*.desktop
%_menudir/*

%changelog
* Tue Nov 05 2002 Sergey V Turchin <zerg@altlinux.ru> 3.6.2-alt1
- new version

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 3.6.1-alt2
- rebuild with gcc3.2 && objprelink

* Fri Apr 26 2002 Sergey V Turchin <zerg@altlinux.ru> 3.6.1-alt1
- new version
- build with KDE3

* Fri Jan 18 2002 Sergey V Turchin <zerg@altlinux.ru> 3.5.4-alt2
- rebuild without fam

* Wed Nov 14 2001 Sergey V Turchin <zerg@altlinux.ru> 3.5.4-alt1
- new version

* Tue Oct 30 2001 Sergey V Turchin <zerg@altlinux.ru> 3.5.2-alt1
- new version

* Thu Oct 11 2001 Sergey V Turchin <zerg@altlinux.ru> 3.4.2-alt2
- rebuild with new libpng

* Wed Jun 27 2001 Sergey V Turchin <zerg@altlinux.ru> 3.4.2-alt1
- build for ALT

* Tue May 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.2-2mdk
- Update code (3.4.2)

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 3.4-4mdk
- Move KDE menu entry in %%_datadir/applnk
- Use more macro
- Don't delete usefull links for documentation
- Rebuild against latest GCC

* Sat Mar 31 2001 David BAUDENS <baudens@mandrakesoft.com> 3.4-3mdk
- Fix BuildRequires for non %%ix86 architectures

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4-2mdk
- Add build requires

* Tue Mar 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4-1mdk
- Update code

* Fri Mar 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- Update code

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 3.3.1-2mdk
- Rebuild agains Qt 2.3.0

* Thu Jan 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- Update code

* Thu Dec 07 2000 Laurent Montel <lmontel@mandrakesoft.com> 3.3-2mdk
- Fix package

* Mon Nov 22 2000 Laurent Montel <lmontel@mandrakesoft.com> 3.3-1mdk
- Initial package fix compile with gcc-2.96
